Mark a chat read up to a message
POST /api/member/chats/{chatId}/read. Mark a chat read up to a message. Headless LMS Chats API reference.
For a participant. The message must be in the chat (404 otherwise).
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/member/chats/string/read" \ -H "Content-Type: application/json" \ -d '{ "messageId": "string" }'null{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Dismiss the open flags on a message in a community you moderate POST
POST /api/member/messages/{messageId}/flags/resolution. Dismiss the open flags on a message in a community you moderate. Headless LMS Chats API reference.
Mute a chat until a time, or until unmuted POST
POST /api/member/chats/{chatId}/mute. Mute a chat until a time, or until unmuted. Headless LMS Chats API reference.